Bug 22099 - "List requests" button displays when listing requests
Summary: "List requests" button displays when listing requests
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: ILL (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Hayley Mapley
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-11 12:39 UTC by Andrew Isherwood
Modified: 2019-06-11 16:09 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.01


Attachments
Bug 22099: Fixed ILL toolbar to say Refresh when displaying requests (2.00 KB, patch)
2019-03-21 01:54 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 22099: Fixed ILL toolbar to say Refresh when displaying requests (2.09 KB, patch)
2019-05-23 13:01 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 22099: Fixed ILL toolbar to say Refresh when displaying requests (2.15 KB, patch)
2019-05-28 05:45 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Isherwood 2019-01-11 12:39:33 UTC
On the main ILL Requests page that lists all requests ("illlist" action), the "List request" button is displayed, which makes no sense since we're already listing requests.
Comment 1 Magnus Enger 2019-02-07 10:13:40 UTC
I find that button quite handy as a way to refresh the page. :-)
Comment 2 Hayley Mapley 2019-03-21 01:54:41 UTC
Created attachment 86839 [details] [review]
Bug 22099: Fixed ILL toolbar to say Refresh when displaying requests

On the ILL requests page that lists all requests, the List Request
button is displayed as part of the ILL toolbar. This patch fixes this by
instead changing the wording of the button to Refresh when on the main
page.

Test plan:
1) More -> ILL Requests, note that the List Requests button displays
while all the requests are already displayed
2) Apply the patch and restart things
3) More -> ILL Requests, note that the button now says Refresh, and
clicking it refreshes the page
4) Check that on all the other functions of the ILLs the button says
List Requests
5) Sign off!

Sponsored-by: Catalyst IT
Comment 3 Magnus Enger 2019-05-23 13:01:56 UTC
Created attachment 90029 [details] [review]
Bug 22099: Fixed ILL toolbar to say Refresh when displaying requests

On the ILL requests page that lists all requests, the List Request
button is displayed as part of the ILL toolbar. This patch fixes this by
instead changing the wording of the button to Refresh when on the main
page.

Test plan:
1) More -> ILL Requests, note that the List Requests button displays
while all the requests are already displayed
2) Apply the patch and restart things
3) More -> ILL Requests, note that the button now says Refresh, and
clicking it refreshes the page
4) Check that on all the other functions of the ILLs the button says
List Requests
5) Sign off!

Sponsored-by: Catalyst IT
Signed-off-by: Magnus Enger <magnus@libriotech.no>
Small conflict resolved. Works as advertised.
Comment 4 Katrin Fischer 2019-05-28 05:45:19 UTC
Created attachment 90137 [details] [review]
Bug 22099: Fixed ILL toolbar to say Refresh when displaying requests

On the ILL requests page that lists all requests, the List Request
button is displayed as part of the ILL toolbar. This patch fixes this by
instead changing the wording of the button to Refresh when on the main
page.

Test plan:
1) More -> ILL Requests, note that the List Requests button displays
while all the requests are already displayed
2) Apply the patch and restart things
3) More -> ILL Requests, note that the button now says Refresh, and
clicking it refreshes the page
4) Check that on all the other functions of the ILLs the button says
List Requests
5) Sign off!

Sponsored-by: Catalyst IT
Signed-off-by: Magnus Enger <magnus@libriotech.no>
Small conflict resolved. Works as advertised.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2019-05-28 05:45:46 UTC
Not sure if this should be enhancement instead of trivial.
Comment 6 Martin Renvoize 2019-06-03 17:57:27 UTC
Nice work!

Pushed to master for 19.11.00
Comment 7 Fridolin SOMERS 2019-06-10 14:06:19 UTC
Pushed to 19.05.x for 19.05.01
Comment 8 Lucas Gass 2019-06-11 16:09:01 UTC
backported to 18.11.x for 18.11.07